Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # planar_pixel_iterator.hpp File Reference ## Detailed Description planar pixel pointer class Author: Lubomir Bourdev and Hailin Jin Adobe Systems Incorporated Date: 2005-2007 Last updated on February 12, 2007 `#include <cassert>` `#include <iterator>` `#include <boost/iterator/iterator_facade.hpp>` `#include "gil_config.hpp"` `#include "pixel.hpp"` `#include "step_iterator.hpp"` Go to the source code of this file.
## Namespaces
namespace | boost
namespace | boost::gil
namespace | boost::gil::detail
## Classes
struct | planar_pixel_iterator
| An iterator over planar pixels. Models HomogeneousColorBaseConcept, PixelIteratorConcept, HomogeneousPixelBasedConcept, MemoryBasedIteratorConcept, HasDynamicXStepTypeConcept. More...
## Functions
template<typename IC, typename C>
std::ptrdiff_t | memunit_step (const planar_pixel_iterator< IC, C > &)
template<typename IC, typename C>
std::ptrdiff_t | memunit_distance (const planar_pixel_iterator< IC, C > &p1, const planar_pixel_iterator< IC, C > &p2)
template<typename IC, typename C>
void | memunit_advance (planar_pixel_iterator< IC, C > &p, std::ptrdiff_t diff)
template<typename IC, typename C>
planar_pixel_iterator< IC, C > | memunit_advanced (const planar_pixel_iterator< IC, C > &p, std::ptrdiff_t diff)
template<typename ChannelPtr, typename ColorSpace>
planar_pixel_reference < typename std::iterator_traits < ChannelPtr >::reference, ColorSpace > | memunit_advanced_ref (const planar_pixel_iterator< ChannelPtr, ColorSpace > &ptr, std::ptrdiff_t diff)